Name: openvpn3-indicator
Version: 0.1.20240705192959
Release: 1
Summary: Simple GTK indicator GUI for OpenVPN3
License: AGPL-3.0
URL: https://github.com/OpenVPN/openvpn3-indicator
BuildArch: noarch
BuildRequires: desktop-file-utils make python3 sed zip
Requires: gnome-shell-extension-appindicator openvpn3-client python3-dbus python3-secretstorage python3-setproctitle
Source: /mnt/safe-resultdir-1xe4unbn/openvpn3-indicator-0.1.20240705192959.tar.gz

%description


This project adds a simple GTK indicator application that can be used to control OpenVPN3 tunnels.
It is based on D-Bus interface provided by OpenVPN3 Linux client and does not require elevated privileges to use.
It should be considered as a temporary work-around until Network Manager implements support for OpenVPN 3, or OpenVPN provides a graphical interface for Linux users.


%prep

%setup

%build

make DESTDIR=%{buildroot} BINDIR=%{_bindir} DATADIR=%{_datadir} all

%install

make DESTDIR=%{buildroot} BINDIR=%{_bindir} DATADIR=%{_datadir} package
desktop-file-validate %{buildroot}%{_datadir}/applications/net.openvpn.openvpn3_indicator.desktop

%post

touch --no-create %{_datadir}/icons/Yaru || :
touch --no-create %{_datadir}/icons/hicolor || :
xdg-mime install --mode system %{_datadir}/mime/packages/application-x-openvpn-profile.xml

%posttrans

update-desktop-database %{_datadir}/applications || :
update-mime-database %{_datadir}/mime || :
gtk-update-icon-cache --silent %{_datadir}/icons/Yaru || :
gtk-update-icon-cache --silent %{_datadir}/icons/hicolor || :

%preun

xdg-mime uninstall --mode system %{_datadir}/mime/packages/application-x-openvpn-profile.xml

%postun

update-desktop-database %{_datadir}/applications || :
update-mime-database %{_datadir}/mime || :
touch --no-create %{_datadir}/icons/Yaru || :
touch --no-create %{_datadir}/icons/hicolor || :
gtk-update-icon-cache --silent %{_datadir}/icons/Yaru || :
gtk-update-icon-cache --silent %{_datadir}/icons/hicolor || :

%files

%license LICENSE
%doc README.md
%{_bindir}/%{name}
/etc/xdg/autostart/%{name}.desktop
%{_datadir}/applications/net.openvpn.openvpn3_indicator.desktop
%{_datadir}/icons/Yaru/scalable/mimetypes/application-x-openvpn-profile.svg
%{_datadir}/icons/hicolor/scalable/mimetypes/application-x-openvpn-profile.svg
%{_datadir}/icons/hicolor/scalable/apps/openvpn3-indicator.svg
%{_datadir}/icons/hicolor/scalable/status/openvpn3-indicator-configuring.svg
%{_datadir}/icons/hicolor/scalable/status/openvpn3-indicator-active.svg
%{_datadir}/icons/hicolor/scalable/status/openvpn3-indicator-active-error.svg
%{_datadir}/icons/hicolor/scalable/status/openvpn3-indicator-loading.svg
%{_datadir}/icons/hicolor/scalable/status/openvpn3-indicator-idle-error.svg
%{_datadir}/icons/hicolor/scalable/status/openvpn3-indicator-idle.svg
%{_datadir}/mime/packages/application-x-openvpn-profile.xml
%{_datadir}/man/man1/openvpn3-indicator.1.gz

%changelog

* Fri Jul 05 2024 Grzegorz Gutowski <grzegorz.gutowski@uj.edu.pl> - 0.1.20240705192959-1
- Ping Configuration Manager
